summaryrefslogtreecommitdiff
path: root/test/script
diff options
context:
space:
mode:
Diffstat (limited to 'test/script')
-rwxr-xr-xtest/script/check-supported-tools-tables4
-rwxr-xr-xtest/script/custom-checks4
2 files changed, 5 insertions, 3 deletions
diff --git a/test/script/check-supported-tools-tables b/test/script/check-supported-tools-tables
index f4305707..5817de99 100755
--- a/test/script/check-supported-tools-tables
+++ b/test/script/check-supported-tools-tables
@@ -22,7 +22,7 @@ done < <(
grep '^\*\|^ *\*' doc/ale-supported-languages-and-tools.txt \
| sed -e '1,2d' \
| sed 's/^\* */!/' \
- | sed 's/^ *\* *\|!!\|\^\|(.*)\|`//g' \
+ | sed -E 's/^ *\* *|!!|\^|(.*)|`//g' \
| sed 's/ *$//'
) > "$doc_file"
@@ -36,7 +36,7 @@ while read -r; do
done < <(
grep '^\*\|^ *\*' supported-tools.md \
| sed 's/^\* */!/' \
- | sed 's/^ *\* *\|:floppy_disk:\|:warning:\|(.*)\|\[\|\].*\|-n flag//g' \
+ | sed -E 's/^ *\* *|:floppy_disk:|:warning:|\(.*\)|\[|\].*|-n flag//g' \
| sed 's/ *$//'
) > "$readme_file"
diff --git a/test/script/custom-checks b/test/script/custom-checks
index ca9069e4..63d39906 100755
--- a/test/script/custom-checks
+++ b/test/script/custom-checks
@@ -46,7 +46,9 @@ echo '========================================'
echo 'Differences follow:'
echo
-test/script/check-supported-tools-tables || exit_code=$?
+set -o pipefail
+docker run "${docker_flags[@]}" test/script/check-supported-tools-tables || exit_code=$?
+set +o pipefail
echo '========================================'
echo 'Look for badly aligned doc tags'